iPhone 4 only works with OS X 10.5+?

Discussion in 'iPhone Tips, Help and Troubleshooting' started by flattopwill, Jun 25, 2010.

  1. flattopwill macrumors newbie

    Joined:
    Jun 25, 2010
    #1
    @$%&$^&($!!!
    I just got my iPhone 4. I traded in my old 3G at Radioshack. I get home to sync it and activate it and it says it is only compatible with OS X 10.5.8 and later! WTF!? I have 10.4.11 and am perfectly happy with it. I have to buy $170 dollars worth of software to sync my iPhone with my computer?!?! This is BS! Luckily I was able to activate the phone using my moms mac but I still dont have any contacts, apps, music, or anything!
     
  2. Yoshiro macrumors newbie

    Joined:
    Jun 25, 2010
    Location:
    North West UK
    #2
    In fairness it does say on the box about the compatibilty!
     
  3. behrmon macrumors newbie

    Joined:
    Jun 10, 2008
    #3
    I'm curious on this as well. Is it only the iPhone4 that requires 10.5+ or is it any device running IOS??

    Damn this 800mhz Quicksilver!!! :mad:
     
  4. Yoshiro macrumors newbie

    Joined:
    Jun 25, 2010
    Location:
    North West UK
    #4
    I think its just the iphone 4, its listed on the compatibility bit on the box.
     
  5. flattopwill thread starter macrumors newbie

    Joined:
    Jun 25, 2010
    #5
    well if anyone knows how I can upgrade my OS without paying $170 effing dollars shoot me a PM. Off the record of course. Cause right now Im screwed
     
  6. behrmon macrumors newbie

    Joined:
    Jun 10, 2008
    #6
    Anyone using a 3Gs and syncing with a lower OS with no probs? Still just curious as to whether this is hardware specific and if there are any limitations with using a lower OS if can in-fact do so?

    I would really like to leave my 1st gen but don't want to have to upgrade my computer to do so.
     
  7. flattopwill thread starter macrumors newbie

    Joined:
    Jun 25, 2010
    #7
    3GS and lower have no problem its the 4 that is the problem
     
  8. vabunuc macrumors member

    Joined:
    Jun 21, 2010
    Location:
    Lanoka Harbor, NJ
    #8
    cant you make a backup of your old phone on her mac? the only thing you would lose is the music there.
     
  9. flattopwill thread starter macrumors newbie

    Joined:
    Jun 25, 2010
    #9
    Ya if you know a way to do it without the phone since I traded in my ol' 3G at Radioshack
     
  10. Bloake macrumors 6502

    Bloake

    Joined:
    Dec 2, 2008
    #10
    Considering that the 2008 iPhone 3G only gets the folders feature of iOS4, I'm not surprised the iPhone 4 doesn't support older machines... I think you're only option is to upgrade OSX or buy a new machine.
     
  11. Bloake macrumors 6502

    Bloake

    Joined:
    Dec 2, 2008
    #11
    well you at least have a backup of the very last time you connected your iPhone 3G to iTunes, which I hope was very recent.
     
  12. flattopwill thread starter macrumors newbie

    Joined:
    Jun 25, 2010
    #12
    I dont see what iPhone 4 or iOS4 has to do with OSX. I have the latest itunes so it shouldnt be a problem.

    Ya I synced it and restored it right before I gave it to them.
     
  13. miles01110 macrumors Core

    miles01110

    Joined:
    Jul 24, 2006
    Location:
    The Ivory Tower (I'm not coming down)
    #13
    Unfortunately it is a problem. There's no point in going into the specifics on why 10.5+ is required; you either need to upgrade or you will not be able to sync your iPhone 4.
     
  14. wilhub macrumors member

    Joined:
    Dec 22, 2009
    Location:
    Texas
    #14
     
  15. behrmon macrumors newbie

    Joined:
    Jun 10, 2008
    #15
    Yeah my plans on upgrading to the 4 are now ruined. I can't see having to upgrade my home computer which works just fine for the phone. :(

    Maybe I should "upgrade" my Quicksilver with an old PC!! :eek::mad:
     
  16. davelanger macrumors 6502a

    Joined:
    Mar 25, 2009
    #16
    I was just going to post this. Its a joke that you cannot fit 10.5 anywhere for the list price of $129. Apple should give it to us for free if they are making us upgrade to a new OS just to use iphone4.

    wilhub where did you see apple selling the IS for $129, I couldnt find it on apple.com
     
  17. quagmire macrumors 603

    quagmire

    Joined:
    Apr 19, 2004
    #17
    If you have an Intel Mac, the $29 Snow Leopard disc will work just fine.
     
  18. wilhub macrumors member

    Joined:
    Dec 22, 2009
    Location:
    Texas
    #18
    I called the Apple Store at 1-800-My-Apple. I couldn't find it listed on the Apple Store website.
     
  19. mcmlxix macrumors 6502a

    Joined:
    Mar 10, 2009
    #19
    iPod touch (with iOS 4) syncs with a Tiger machine (with iTunes 9.2).

    Why shouldn't iPhone 4 (with iOS 4) sync with a Tiger machine (with iTunes 9.2)?

    There's no reason other than forced obsolescence of the Tiger machine for one mobile device and not another that both run the same OS.
     
  20. wilhub macrumors member

    Joined:
    Dec 22, 2009
    Location:
    Texas
    #20
    I agree. It makes no sense to me. They are taking care of the Windows XP people and not their own customers. A lot of us believed in Apple when Apple was struggling.

    They could at least lower the price with the purchase of a iPhone 4.

    If this makes you mad tell Apple.

    http://www.apple.com/feedback/iphone.html
     

Share This Page